Bug 13744 - "fileid:algorithm" setting "fsname_norootdir" is broken
"fileid:algorithm" setting "fsname_norootdir" is broken
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-15 10:45 UTC by Ralph Wuerthner
Modified: 2019-02-08 09:29 UTC (History)
1 user (show)

See Also:


Attachments
patch from master for 4.8 (1.28 KB, patch)
2019-01-17 08:10 UTC, Ralph Wuerthner
vl: review+
Details
patch from master for 4.9 (1.28 KB, patch)
2019-01-17 08:12 UTC, Ralph Wuerthner
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Wuerthner 2019-01-15 10:45:14 UTC
The fsname_norootdir algorithm in the VFS fileid module is broken. When configuring "fileid:algorithm = fsname_norootdir" the share root directory is using the fsname algorithm instead of the hostname algorithm.
Fixes are required for 4.8, 4.9, and master.
Comment 1 Ralph Wuerthner 2019-01-17 08:10:55 UTC
Created attachment 14783 [details]
patch from master for 4.8

Backport of fix from master to v4-8-stable.
Comment 2 Ralph Wuerthner 2019-01-17 08:12:40 UTC
Created attachment 14784 [details]
patch from master for 4.9

Backport of fix from master to v4-9-stable.
Comment 3 Volker Lendecke 2019-01-17 10:37:16 UTC
Both patches are reviewed by slow for master. The bug only has one review, but I think that should be ok.
Comment 4 Karolin Seeger 2019-02-05 14:21:59 UTC
Pushed to autobuild-v4-{9,8}-test.
Comment 5 Karolin Seeger 2019-02-08 09:29:33 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!